Gecode::Int::TaskTraits< Task > Class Template Reference

Traits class for mapping tasks to task views. More...

`#include <task.hh>`

## Detailed Description

template<class Task>
class Gecode::Int::TaskTraits< Task >

Traits class for mapping tasks to task views.

Each task must specialize this traits class and add

typedef

for the task views corresponding to this task.

Definition at line 157 of file task.hh.

The documentation for this class was generated from the following file:

- gecode/int/task.hh